海运的博客

CentOS5编译升级VIM为7.3版本及安装中文帮助文档

发布时间:December 15, 2012 // 分类:Vim // No Comments

CentOS5自带VIM为2006年的7.0版本,现在很多插件都是针对7.3开发的,决定编译升级VIM7.3版。
编译安装VIM7.3:

cd /usr/local/src/
wget ftp://ftp.vim.org/pub/vim/unix/vim-7.3.tar.bz2
tar jxvf vim-7.3.tar.bz2 
cd vim73/
./configure --prefix=/usr/local/vim --enable-multibyte
#--enable-multibyte开启多字符编码,必选,不然VIM中文乱码。
make
make install

使用VIM7.3替换系统自带的VIM7.0:

alias vim='/usr/local/vim/bin/vim'

或删除系统自带的VIM7.0:

rpm -e vim-enhanced

安装VIM中文帮助文档:

wget http://sourceforge.net/projects/vimcdoc/files/vimcdoc/1.8.0/vimcdoc-1.8.0.tar.gz
tar zxvf vimcdoc-1.8.0.tar.gz 
cd vimcdoc-1.8.0/
./vimcdoc.sh -I

编辑VIM配置设置帮助为中文:

set helplang=cn
分类
最新文章
最近回复
  • 海运: proxy-header或proxy_protocol
  • liangjw: 如果是 内部调用 或者 中间存在 代理 而上一个代理又在内网 ,那怎么处理来自代理私有IP?
  • chainofhonor: 感谢,用dnsmasq设置自动判断BIOS和UEFI成功了
  • 海运: 不好意思,这个是很多年前的,现在也许已经不适用,我现在也不用多线了。
  • CQ: -m state --state NEW 替换成-m conntrack --ctstate NEW
  • CQ: 你好,我入站已经成功分流,但是不知道出站怎么设置,PREROUTING替换成POSTROUTI...
  • K: 好的,谢谢,我去试试!
  • 海运: 可以试试3proxy
  • daha: PHP的怎么使用???
  • 海运: 换回了5.3内核,5.8用5.3 dtb虽然能开机且负载正常,但也有其它问题,不建议使用。